### Function

# Dex async_initable_new

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_async_initable_new (
      GType object_type,
      int io_priority,
      const char* first_property_name,
      ...
    )

#### Description [src]

Creates and asynchronously initializes a new object.

Available since: 1.2

This function is not directly available to language bindings.

#### Parameters

`object_type`

  Type: `GType`

  A type implementing `GAsyncInitable`.

`io_priority`

  Type: `int`

  Priority for the IO operation.

`first_property_name`

  Type: `const char*`

  First property name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Property name and value pairs.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to the newly initialized `GObject` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.